@import url('https://fonts.cdnfonts.com/css/roboto');
@import "header";
@import "admin";

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Lato';
}

body,
html {
    height: 100%;
}

.wrapper {
    display: flex;
    overflow-x: hidden;
    align-items: center;
    flex-direction: column;
    // height: 100%;
}

.content {
    flex: 1 0 auto;
    width: 100%;
    max-width: 1440px;
}

footer {
    flex: 0 0 auto;
    background: #334c5e;
    display: -webkit-flex;
    display: -ms-flex;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    align-items: center;
    margin-top: 120px;
    padding-top: 37px;
    padding-bottom: 80px;

    .footer_wrapper {
        height: 100%;
        max-height: 329px;
        width: 100%;
        max-width: 1077px;
        display: -webkit-flex;
        display: -ms-flex;
        display: flex;
        justify-content: space-between;

        .logo {}

        .lf {
            padding-bottom: 30px;
            border-right: 1px solid #F2F2F2;

            .city {
                font-family: Roboto;
                font-weight: 700;
                font-size: 14px;
                line-height: 1.41;
                color: #f2f2f2;
                display: block;
                margin-bottom: 16px;
            }

            .title {
                font-family: Roboto;
                font-weight: 400;
                font-size: 24px;
                line-height: 1.41;
                color: #f2f2f2;
                display: block;
                margin-bottom: 10px;
            }

            .desc {
                max-width: 370px;
                font-family: Roboto;
                font-weight: 400;
                font-size: 14px;
                line-height: 1.41;
                color: #f2f2f2;
            }
        }

        .rt {
            .links {
                display: -webkit-flex;
                display: -ms-flex;
                display: flex;
                align-items: center;

                .link {
                    font-family: Roboto;
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 31px;
                    color: #f2f2f2;
                    display: block;
                    margin-right: 50px;
                    text-decoration: none;

                    &:last-child {
                        margin-right: 0;
                    }
                }
            }
        }
    }
}

.pagination-block {
    margin-top: 80px;
    margin-bottom: 80px;

    .pagination-main {
        display: -webkit-flex;
        display: -ms-flex;
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: center;

        .page-link {
            width: 100%;
            max-width: 416px;
            height: 82px;
            display: -webkit-flex;
            display: -ms-flex;
            display: flex;
            align-items: center;
            justify-content: center;
            background: #334c5e;
            border-radius: 5px;
            font-family: Roboto;
            font-weight: 400;
            font-size: 32px;
            line-height: 49px;
            color: #ffffff;
            cursor: pointer;
        }
    }
}

.modal-overflow {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(217, 217, 217, 0.75);
    top: 0;
    left: 0;
    display: -webkit-flex;
    display: -ms-flex;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    pointer-events: none;

    &.show {
        opacity: 1;
        pointer-events: all;
    }

    .modal-close {
        width: 19px;
        height: 19px;
        cursor: pointer;
        position: absolute;
        right: 33px;
        top: 33px;
        content: '';
        background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.60009 19.462L0.538086 18.4L8.93809 9.99996L0.538086 1.59996L1.60009 0.537964L10.0001 8.93796L18.4001 0.537964L19.4621 1.59996L11.0621 9.99996L19.4621 18.4L18.4001 19.462L10.0001 11.062L1.60009 19.462Z' fill='black'/%3E%3C/svg%3E%0A");
    }

    .modal-booking-success {
        position: relative;
        width: 100%;
        height: 100%;
        max-width: 568px;
        max-height: 322px;
        background: #f6f6f6;
        border-radius: 10px;
        display: -webkit-flex;
        display: -ms-flex;
        display: flex;
        align-items: center;
        justify-content: center;

        .row {
            display: -webkit-flex;
            display: -ms-flex;
            display: flex;

            svg {
                width: 36px;
                height: 36px;
                min-width: 36px;
                min-height: 36px;
                margin-right: 1px;
            }

            span {
                font-family: Roboto;
                font-weight: 600;
                font-size: 32px;
                color: #000000;
            }
        }
    }

    .modal-login {
        background: #f6f6f6;
        border-radius: 10px;
        box-shadow: 0 4px 9px rgba(0, 0, 0, 0.25);
        position: relative;
        width: 100%;
        height: 100%;
        max-width: 568px;
        max-height: 464px;
        display: -webkit-flex;
        display: -ms-flex;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;

        .title {
            font-family: Roboto;
            font-weight: 600;
            font-size: 32px;
            line-height: 38px;
            color: #000000;
            display: block;
            margin-bottom: 40px;
        }

        form {
            width: 100%;
            max-width: 392px;
        }

        input {
            border: 1px solid #000000;
            border-radius: 5px;
            width: 100%;
            height: 64px;
            outline: none;
            padding-left: 25px;
            font-family: Roboto;
            font-weight: 400;
            font-size: 20px;
            line-height: 24px;
            color: rgba(0, 0, 0, 0.5);
            margin-bottom: 19px;

            &:last-child {
                margin-bottom: 0;
            }
        }

        .forgot_password {
            font-family: Roboto;
            font-weight: 400;
            font-size: 16px;
            line-height: 19px;
            text-decoration-line: underline;
            color: #000000;
            margin-bottom: 25px;
            cursor: pointer;
            display: block;
        }

        .submit {
            width: 100%;
            height: 60px;
            outline: none;
            border: none;
            cursor: pointer;
            background: #334c5e;
            border-radius: 5px;
            display: -webkit-flex;
            display: -ms-flex;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: Roboto;
            font-weight: 400;
            font-size: 24px;
            line-height: 36px;
            color: #ffffff;
        }

        .no-acc {
            font-family: Roboto;
            font-weight: 400;
            font-size: 16px;
            line-height: 19px;
            margin-top: 45px;

            .link {
                color: #3066F0;
                cursor: pointer;
                text-decoration: underline;
            }
        }
    }

    .modal-reg,
    .modal-reset {
        background: #f6f6f6;
        border-radius: 10px;
        box-shadow: 0 4px 9px rgba(0, 0, 0, 0.25);
        position: relative;
        width: 100%;
        height: 100%;
        max-width: 630px;
        max-height: 880px;
        display: -webkit-flex;
        display: -ms-flex;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;

        .title {
            font-family: Roboto;
            font-weight: 600;
            font-size: 32px;
            line-height: 38px;
            color: #000000;
            display: block;
            margin-bottom: 40px;
        }

        form {
            width: 100%;
            max-width: 392px;
        }

        input {
            border: 1px solid #000000;
            border-radius: 5px;
            width: 100%;
            height: 64px;
            outline: none;
            padding-left: 25px;
            font-family: Roboto;
            font-weight: 400;
            font-size: 20px;
            line-height: 24px;
            color: rgba(0, 0, 0, 0.5);
            margin-bottom: 19px;

            &:last-child {
                margin-bottom: 0;
            }
        }

        .forgot_password {
            font-family: Roboto;
            font-weight: 400;
            font-size: 16px;
            line-height: 19px;
            text-decoration-line: underline;
            color: #000000;
            margin-bottom: 25px;
            cursor: pointer;
            display: block;
        }

        .submit {
            width: 100%;
            height: 60px;
            outline: none;
            border: none;
            cursor: pointer;
            background: #334c5e;
            border-radius: 5px;
            display: -webkit-flex;
            display: -ms-flex;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: Roboto;
            font-weight: 400;
            font-size: 24px;
            line-height: 36px;
            color: #ffffff;
        }

        .polit-row {
            display: -webkit-flex;
            display: -ms-flex;
            display: flex;
            align-items: center;
            margin-bottom: 25px;

            input {
                min-width: 20px;
                min-height: 20px;
                width: 20px;
                height: 20px;
                margin-bottom: 0;
                margin-right: 17px;
            }
        }
    }

    .modal-reset {
        max-width: 568px;
        max-height: 406px;

        .title {
            margin-bottom: 25px;
        }

        .desc {
            font-family: Roboto;
            font-weight: 400;
            font-size: 20px;
            line-height: 1.41;
            color: #000000;
            display: block;
            margin-bottom: 15px;
        }
    }
}